/* MausConnect: Nachrichtenformatskonverter fuer das MausNet
   Copyright (C) 1992 1993 1994 1995 Michael Kraehe, Uwe Ohse

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "mausconsys.h"

#include <ctype.h>
#include <stdlib.h>

#include "mausconlib.h" /* for prototype */

int parse_bool(char *s)
{
    char c=tolower(*s);
    if (c=='y' || c=='j' || c=='t') /* yes, ja, true */
        return 1;
    else if (c=='n' || c=='f') /* no, nein, false */
        return 0;
    else
        return (strtol(s,NULL,10)!=0); /* 0: false, else: true */
}

