/* route.h: prototype for the routing functions */
/*
    Copyright (C) 1994 1995 1996 1997 Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@ohse.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
*/
#ifndef MC_ROUTE_H
#define MC_ROUTE_H

	/* Die Routingdatenbank initialisieren */
int route_open(const char *libdir);
	/* die Datenbank schlieen */
void route_close(void);
	/* Eine Nachricht routen */
char *route_it(const char *from, const char *dest);
int route_make(const char *libdir, const char *conffilename);
int route_show(const char *which);

#endif
