#include "config.h"
#include <stdio.h>
#include <string.h>
#include "mausconlib.h"
#include "mauscon.h"
#include "maus.h"
#include "metamsg.h"

void
do_test(char *p)
{
	time_t t; 
	char buf[129]; 
	struct tm tm; 
	metalist_t *ml=NULL;
	metalist_t *l;
	rfc_adress_to_metalist(1,&ml,p);
	for (l=ml;l;l=l->next) {
		if (l->text)
			printf(">A %s\n",l->text);
		if (l->ext)
			printf(">B %s\n",l->ext);
		if (l->text) {
			maus_print_adr(stdout,">C ",l->text, "\n");
		}
		free(l->ext);
		free(l->text);
	}
	free(ml);
}

int 
main(void)
{
	char buf[2000];
	char *ptr=buf;
	while(fgets(ptr,sizeof(buf)-(ptr-buf),stdin)) {
		char *p=strchr(ptr,'\n');
		if (p) {
			*p=0;
			if (p[-1]=='\\') {
				p--;
				ptr=p;
				continue;
			}
		}
		ptr=buf;
		if (*buf=='#') {
			printf("%s\n",buf);
		} else {
			printf("<%s\n",buf);
			do_test(buf);
		}
	}
	exit(0);
}

